# oci-registry

![Version: 0.3.0](https://img.shields.io/badge/Version-0.3.0-informational?style=flat-square) ![AppVersion: 0.3.0](https://img.shields.io/badge/AppVersion-0.3.0-informational?style=flat-square)

oci-registry is an implementation of the OCI Registry spec with filesystem and S3 storage back-ends.  Currently it only supports being a pull-through cache (a mirror); pushing is not yet implemented.

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| Mike Cronce | <mike@cronce.io> |  |

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| extraLabels | object | `{}` |  |
| image.name | string | `"oci-registry"` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.pullSecret | string | `nil` |  |
| image.registry | string | `"mcronce"` |  |
| image.tag | string | `"v0.3.0"` |  |
| ingress.annotations | object | `{}` |  |
| ingress.class | string | `nil` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0] | string | `"oci-registry"` |  |
| ingress.path | string | `"/"` |  |
| ingress.tls | list | `[]` |  |
| registry.invalidation_time.blobs | string | `"14d"` |  |
| registry.invalidation_time.manifests | string | `"14d"` |  |
| registry.storage.filesystem.path | string | `"/data"` |  |
| registry.storage.mode | string | `"filesystem"` |  |
| registry.storage.s3.auth_secret.access_key | string | `nil` |  |
| registry.storage.s3.auth_secret.deploy | bool | `true` |  |
| registry.storage.s3.auth_secret.name_override | string | `nil` |  |
| registry.storage.s3.auth_secret.secret_key | string | `nil` |  |
| registry.storage.s3.bucket | string | `"oci-registry"` |  |
| registry.storage.s3.host | string | `nil` |  |
| registry.storage.s3.region | string | `"us-east-1"` |  |
| registry.upstream.config.contents | list | `[]` |  |
| registry.upstream.config.deploy | bool | `true` |  |
| registry.upstream.config.name_override | string | `nil` |  |
| registry.upstream.default_namespace | string | `"docker.io"` |  |
| replicas | int | `2` |  |
| resources.limits.cpu | int | `2` |  |
| resources.limits.memory | string | `"64Mi"` |  |
| resources.requests.cpu | string | `"100m"` |  |
| resources.requests.memory | string | `"16Mi"` |  |
| service.annotations | object | `{}` |  |
| service.clusterIP | string | `nil` |  |
| service.externalIPs | list | `[]` |  |
| service.loadBalancerIP | string | `""` |  |
| service.loadBalancerSourceRanges | list | `[]` |  |
| service.port | int | `80` |  |
| service.type | string | `"ClusterIP"` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.11.0](https://github.com/norwoodj/helm-docs/releases/v1.11.0)
